{
	"component": "nc-form",
	"children": [
		{
			"children": [
				{
					"attribute": {
						"width": "12/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.timecard",
								"size": "large"
							},
							"component": "nc-header",
							"content": "Timecard"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"attribute": {
				"class": ["small"]
			},
			"component": "hr"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.employee_id"
							},
							"component": "nc-label",
							"content": "Employee"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.employee_id",
								"style": ["width: 60%"],
								"type": "text",
								"v-on:blur": "queryRec()"
							},
							"component": "nc-input"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "8/12"
					},
					"children": [
						{
							"attribute": {
								"disabled": "disabled",
								"model": "rec.per.name",
								"type": "text"
							},
							"component": "nc-input"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								":disabled": "rec.timecard_state == \"started\" || !rec.per || !rec.per.name || rec.per.name.length < 1",
								"primary": "primary",
								"style": ["width: 60%"],
								"v-on:click.native": "save()"
							},
							"children": [
								{
									"attribute": {
										"class": ["far", "fa-play"]
									},
									"component": "i"
								},
								{
									"attribute": {
										"model": "hdr.timecard.start"
									},
									"component": "nc-translate",
									"content": "Start"
								}
							],
							"component": "nc-button"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.start_time"
							},
							"component": "nc-label",
							"content": "Start time"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "6/12"
					},
					"children": [
						{
							"attribute": {
								":value": "dt.formatDateTime(rec && rec.start_time)",
								"disabled": "disabled"
							},
							"component": "nc-input"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								":disabled": "rec.timecard_state != \"started\" || !rec.per || !rec.per.name || rec.per.name.length < 1",
								"primary": "primary",
								"style": ["width: 60%"],
								"v-on:click.native": "save()"
							},
							"children": [
								{
									"attribute": {
										"class": ["far", "fa-stop"]
									},
									"component": "i"
								},
								{
									"attribute": {
										"model": "hdr.timecard.end"
									},
									"component": "nc-translate",
									"content": "End"
								}
							],
							"component": "nc-button"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.work_time"
							},
							"component": "nc-label",
							"content": "Work time"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "6/12"
					},
					"children": [
						{
							"attribute": {
								":value": "nc.round(rec && rec.work_time, 4, true)",
								"disabled": "disabled"
							},
							"component": "nc-input"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.work_shift"
							},
							"component": "nc-label",
							"content": "Work shift"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.work_shift",
								"style": ["width: 90%"]
							},
							"component": "nc-dropdown"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.end_reason"
							},
							"component": "nc-label",
							"content": "End reason"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.end_reason",
								"style": ["width: 90%"]
							},
							"component": "nc-dropdown"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.location"
							},
							"component": "nc-label",
							"content": "Location"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "4/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.location",
								"style": ["width: 90%"]
							},
							"component": "nc-dropdown"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.work_group"
							},
							"component": "nc-label",
							"content": "Group"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "4/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.work_group",
								"style": ["width: 90%"]
							},
							"component": "nc-dropdown"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.work_subgroup"
							},
							"component": "nc-label",
							"content": "Subgroup"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "8/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.work_subgroup",
								"style": ["width: 90%"]
							},
							"component": "nc-dropdown"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"children": [
				{
					"attribute": {
						"width": "2/12"
					},
					"children": [
						{
							"attribute": {
								"model": "hdr.timecard.info"
							},
							"component": "nc-label",
							"content": "Info"
						}
					],
					"component": "nc-col"
				},
				{
					"attribute": {
						"width": "10/12"
					},
					"children": [
						{
							"attribute": {
								"model": "rec.info",
								"rows": "5",
								"type": "textarea"
							},
							"component": "nc-textarea"
						}
					],
					"component": "nc-col"
				}
			],
			"component": "nc-row"
		},
		{
			"attribute": {
				"class": ["small"]
			},
			"component": "hr"
		}
	],
	"comment": "v-nc-init='nc.formCallServer(\"query\", {\"name\": \"form/manager/timecard/init.json\"})'"
}
